Resource Center/Hardware/Primary Storage Operations/NFS Primary Storage Operations
POSTNFS Primary Storage OperationsSince 0.6SynchronousAuth Required
AddNfsPrimaryStorage
AddNfsPrimaryStorage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
urlStringRequiredThe public URL of NFS. Format: nfs-host:/path/to/export.
nameStringRequiredThe name of the NFS primary storage.
descriptionStringOptional. The detailed description of the NFS primary storage.
typeStringOptional. The primary storage type: NFS.
zoneUuidStringRequiredThe zone UUID.
resourceUuidStringOptional. The resource UUID. If specified, the NFS primary storage will use this field as the UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/primary-storage/nfs
/zstack/v1/primary-storage/nfs
Request Example
curl -X POST 'http://{host}/zstack/v1/primary-storage/nfs' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","name":"<name>","description":"<description>","type":"<type>","zoneUuid":"<zoneUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "PS1", "url": "/Cloud_ps", "type": "LocalStorage", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "d949efe47c4141508073e2d77f005211" ] } }Change History
This API has no change history records yet.
